diff -up quakeforge-0.7.2/include/QF/mathlib.h.inline quakeforge-0.7.2/include/QF/mathlib.h
--- quakeforge-0.7.2/include/QF/mathlib.h.inline	2013-01-23 07:10:55.000000000 +0400
+++ quakeforge-0.7.2/include/QF/mathlib.h	2016-09-09 19:40:59.026094934 +0300
@@ -174,16 +174,8 @@ void RotatePointAroundVector (vec3_t dst
 	} while (0)
 
 extern plane_t * const frustum;
-extern inline qboolean R_CullBox (const vec3_t mins, const vec3_t maxs);
-extern inline qboolean R_CullSphere (const vec3_t origin, const float radius);
 
-#ifndef IMPLEMENT_R_Cull
-extern inline
-#else
-VISIBLE
-#endif
-qboolean
-R_CullBox (const vec3_t mins, const vec3_t maxs)
+inline qboolean R_CullBox (const vec3_t mins, const vec3_t maxs)
 {
 	int		i;
 
@@ -193,13 +185,7 @@ R_CullBox (const vec3_t mins, const vec3
 	return false;
 }
 
-#ifndef IMPLEMENT_R_Cull
-extern inline
-#else
-VISIBLE
-#endif
-qboolean
-R_CullSphere (const vec3_t origin, const float radius)
+inline qboolean R_CullSphere (const vec3_t origin, const float radius)
 {
 	int		i;
 	float	r;
diff -up quakeforge-0.7.2/include/QF/math/vector.h.inline quakeforge-0.7.2/include/QF/math/vector.h
--- quakeforge-0.7.2/include/QF/math/vector.h.inline	2013-01-23 07:10:55.000000000 +0400
+++ quakeforge-0.7.2/include/QF/math/vector.h	2016-09-09 19:42:12.986089411 +0300
@@ -183,15 +183,7 @@ void _VectorSubtract (const vec3_t veca,
 void CrossProduct (const vec3_t v1, const vec3_t v2, vec3_t cross);
 vec_t _VectorNormalize (vec3_t v);			// returns vector length
 
-extern inline float VectorNormalize (vec3_t v);	// returns vector length
-
-#ifndef IMPLEMENT_VectorNormalize
-extern inline
-#else
-VISIBLE
-#endif
-float
-VectorNormalize (vec3_t v)
+inline float VectorNormalize (vec3_t v)
 {
 	float length;
 
